Bug 705288 (CVE-2011-1926) - CVE-2011-1926 cyrus-imapd: STARTTLS plaintext command injection
Summary: CVE-2011-1926 cyrus-imapd: STARTTLS plaintext command injection
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1926
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 705294 705774 705775 705776 705777 705778 844261
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-17 09:39 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 21:32:42 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0859 0 normal SHIPPED_LIVE Moderate: cyrus-imapd security update 2011-06-08 15:25:57 UTC

Description Jan Lieskovsky 2011-05-17 09:39:52 UTC
It was found, that Cyrus IMAP recognized IMAP, LMTP, NNTP and POP3
protocol commands during plaintex to TLS session switch (by TLS protocol
initialization). A remote attacker could use this flaw to insert
plaintext, protocol relevant, commands into TLS protocol initialization
messages, leading to execution of these commands during the ciphertext
protocol phase, potentially allowing the attacker to steal the victim's
mail or authentication credentials.

References:
[1] http://www.kb.cert.org/vuls/id/555316
[2] http://bugzilla.cyrusimap.org/show_bug.cgi?id=3423

Relevant upstream patch:
[3] http://git.cyrusimap.org/cyrus-imapd/patch/?id=523a91a5e86c8b9a27a138f04a3e3f2d8786f162

Comment 1 Jan Lieskovsky 2011-05-17 09:42:24 UTC
This issue affects the versions of the cyrus-imapd package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the cyrus-imapd package, as shipped
with Fedora release of 13 and 14. Please schedule an update.

Comment 2 Jan Lieskovsky 2011-05-17 09:57:31 UTC
CVE Request:
[4] http://www.openwall.com/lists/oss-security/2011/05/17/2

Comment 3 Jan Lieskovsky 2011-05-17 09:58:27 UTC
Created cyrus-imapd tracking bugs for this issue

Affects: fedora-all [bug 705294]

Comment 4 Vincent Danen 2011-05-17 23:37:59 UTC
This was assigned CVE-2011-1926.

Comment 7 errata-xmlrpc 2011-06-08 15:26:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 6

Via RHSA-2011:0859 https://rhn.redhat.com/errata/RHSA-2011-0859.html


Note You need to log in before you can comment on or make changes to this bug.